package com.bjsxt.dao.impl;

import com.bjsxt.commons.JDBCUtil;
import com.bjsxt.dao.UserLoginDao;
import com.bjsxt.pojo.Users;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;

public class UserLoginDaoImpl implements UserLoginDao {
    /**
     * 用户登录的数据库查询
     * @param username
     * @param userpwd
     * @return
     */

    @Override
    public Users selectUsersByUserNameAndUserpwd(String username, String userpwd) {
        Connection connection = null;
        Users user = null;
        try{
            connection = JDBCUtil.getConnection();
            PreparedStatement preparedStatement = connection.prepareStatement("select * from user where username = ? and userpwd = ?");
            preparedStatement.setString(1,username);
            preparedStatement.setString(2,userpwd);
            ResultSet resultSet = preparedStatement.executeQuery();
            while(resultSet.next()){
                user = new Users();
                user.setUserid(resultSet.getInt("userid"));
                user.setUsername(resultSet.getString("username"));
                user.setUserpwd(resultSet.getString("userpwd"));
                user.setUsersex(resultSet.getString("usersex"));
                user.setPhonenumber(resultSet.getString("phonenumber"));
                user.setQqnumber(resultSet.getString("qqnumber"));


            }


        }catch(Exception e){
            e.printStackTrace();
        }finally {

        }
        return user;
    }

}
