package com.bjsxt.service.iml;
/**
 * 登陆业务
 */

import com.bjsxt.dao.UserLoginDao;
import com.bjsxt.dao.impl.UserLoginDaoImpl;
import com.bjsxt.exception.UserNotFoundException;
import com.bjsxt.pojo.Users;
import com.bjsxt.service.UserLoginService;

public class UserLoginServericeImpl implements UserLoginService {
    /**
     * 用户登录
     * @param username
     * @param userpawd
     * @return
     */
    @Override
    public Users userLogin(String username, String userpawd) {
        UserLoginDao user = new UserLoginDaoImpl();
        Users users = user.selectUsersByUserNameAndUserpwd(username,userpawd);
        if(users == null){
            throw new UserNotFoundException("用户名或密码错误");
        }
        return users;
    }
}
